SoGLCoordinateElement(3)

NAME
SoGLCoordinateElement - The SoGLCoordinateElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLCoordinateElement.h>

Inherits SoCoordinateElement.

  Public Member Functions
const SbVec3f * getPtr3 () const
FIXME: write doc.
const SbVec4f * getPtr4 () const
FIXME: write doc.
void send (const int index) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLCoordinateElement ()

  Additional Inherited Members

Detailed Description

The SoGLCoordinateElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLCoordinateElement::~SoGLCoordinateElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLCoordinateElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLCoordinateElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLCoordinateElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLCoordinateElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLCoordinateElement::send (const int index) const
Send coordinates index to GL. Handles both 3D and 4D coordinates.

Author

Generated automatically by Doxygen for Coin from the source code.